<form class="chi-tiet-nv-grid">
    <div class="bg-white rounded-xl px-4 pt-4">
        <div class="d-flex align-items-center">
            <strong> <button mat-icon-button (click)="goBack()"><mat-icon>arrow_back_ios</mat-icon></button> Thông tin nhân viên</strong>
            <button class="ml-auto" mat-stroked-button color="warn"><mat-icon class="mr-2">playlist_add</mat-icon>Import</button>
            <button class="ml-3" mat-button routerLink="../">Hủy bỏ</button>
            <button class="ml-3 px-5" mat-raised-button color="primary">Lưu lại</button>
        </div>
        
        <div class="row mt-4">
            <div class="col-4">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Công ty</mat-label>
                    <input 
                        required 
                        matInput 
                        [formControl]="ctyControl" 
                        [matAutocomplete]="ctyAuto" 
                        [(ngModel)]="ctyInput" 
                        #ctyTrigger="matAutocompleteTrigger" 
                        (input)="toggleCtrl(ctyInput)"
                        (focus)="toggleCtrl(ctyInput)"
                        (keyup)="toggleCtrl(ctyInput)"
                        (click)="clearAuto(ctyInput,ctyControl, ctyAuto, ctyTrigger); ctyInput ? '' : toggleCtrl(ctyInput) "
                    >

                    <mat-autocomplete autoActiveFirstOption #ctyAuto="matAutocomplete">
                        <mat-option *ngFor="let option of filteredCtys | async; let i = index" [value]="option">
                            {{option}}
                        </mat-option>
                    </mat-autocomplete>
                    
                    <button mat-icon-button matSuffix (click)="clearAuto(ctyInput,ctyControl, ctyAuto, ctyTrigger)" *ngIf="ctyInput"><mat-icon style="color: rgba(0,0,0,.2);">cancel</mat-icon></button>
                </mat-form-field>
            </div>
            <div class="col-4">
                <mat-form-field appearance="{{ctyInput ? 'outline' : 'fill'}}" class="w-100">
                    <mat-label>Chi nhánh</mat-label>
                    <input required matInput [formControl]="chinhanhControl" [matAutocomplete]="chiNhanhAuto" [(ngModel)]="chiNhanhInput" #chiNhanhTrigger="matAutocompleteTrigger">
                    <mat-autocomplete autoActiveFirstOption #chiNhanhAuto="matAutocomplete">
                        <mat-option *ngFor="let option of filteredChinhanhs | async" [value]="option">
                            {{option}}
                        </mat-option>
                    </mat-autocomplete>
                    
                    <button mat-icon-button matSuffix (click)="clearAuto(chiNhanhInput,chinhanhControl, chiNhanhAuto, chiNhanhTrigger)" *ngIf="chiNhanhInput"><mat-icon style="color: rgba(0,0,0,.2);">cancel</mat-icon></button>
                </mat-form-field>
            </div>
            <div class="col-4">
                <mat-form-field appearance="{{ctyInput ? 'outline' : 'fill'}}" class="w-100">
                    <mat-label>Chức vụ</mat-label>
                    <input required matInput [formControl]="chucvuControl" [matAutocomplete]="chucVuAuto" [(ngModel)]="chucVuInput" #chucVuTrigger="matAutocompleteTrigger">
                    <mat-autocomplete autoActiveFirstOption #chucVuAuto="matAutocomplete">
                        <mat-option *ngFor="let chucvu of filteredChucvus | async" [value]="chucvu">
                            {{chucvu}}
                        </mat-option>
                    </mat-autocomplete>
                    
                    <button mat-icon-button matSuffix (click)="clearAuto(chucVuInput,chucvuControl, chucVuAuto, chucVuTrigger)" *ngIf="chucVuInput"><mat-icon style="color: rgba(0,0,0,.2);">cancel</mat-icon></button>
                </mat-form-field>
            </div>
        </div>
    </div>
    <div class="form-grid">
        <div class="mb-3" style="display: grid; grid-template-columns: 2fr 1fr; gap: 1rem;">
            <div class="bg-white rounded-xl p-4">
                <div class="row">
                    
                    <div class="col-6 order-1">
                        <mat-form-field appearance="outline" class="w-100">
                            <mat-label>Mã số nhân viên</mat-label>
                            <input required matInput #msnv>
                        </mat-form-field>
                    </div>
                    
                    <div class="col-6 order-3">
                        <mat-form-field appearance="outline" class="w-100">
                            <mat-label>Tên đầy đủ</mat-label>
                            <input required matInput value="" placeholder="tên họ nhân viên" #name class="text-uppercase">
                        </mat-form-field>
                        
                        <mat-form-field appearance="outline" class="w-100">
                            <mat-label>Số điện thoại</mat-label>
                            <input required matInput value="">
                        </mat-form-field>
                        
                        <mat-form-field appearance="outline" class="w-100 mb-n4">
                            <mat-label>Email</mat-label>
                            <input type="email" required matInput value="">
                        </mat-form-field>
                    </div>
                    
                    <div class="col-6 order-3">
                        <mat-form-field appearance="outline" class="w-100">
                            <mat-label>Ngày sinh</mat-label>
                            <input required matInput [matDatepicker]="picker" placeholder="Ngày/Tháng/Năm">
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                        
                        <mat-form-field appearance="outline" class="w-100">
                            <mat-label>Giới tính</mat-label>
                            <mat-select required>
                                <mat-option value="0">Nữ</mat-option>
                                <mat-option value="1">Nam</mat-option>
                            </mat-select>
                        </mat-form-field>
                        
                        <ngx-file-picker [adapter]="adapter" class="custom-nv mt-1">
                            <div class="dropzoneTemplate">
                                <div class="d-flex align-items-center justify-content-between">
                                    <div>Ảnh đại diện</div>
                                    <button mat-icon-button color="primary"><mat-icon>add_photo_alternate</mat-icon></button>
                                </div>
                            </div>
                        </ngx-file-picker>
                    </div>
                    
                    <div class="col-6 d-flex order-2">
                        <mat-checkbox checked="true" class="mt-3" color="primary" #status clickActionNoop>
                            <span class="text-truncate text-success alert alert-success border-0 rounded p-2" *ngIf="status.checked">Hoạt động</span>
                            <span class="text-truncate text-secondary alert alert-secondary border-0 rounded p-2" *ngIf="!status.checked">Không hoạt động</span>
                        </mat-checkbox>
                    </div>
                </div>
            </div>
            
            <div class="d-flex flex-wrap justify-content-center bg-white rounded-xl p-4">
                <mat-form-field appearance="outline" class="w-100 mt-auto">
                    <mat-label>Tên đăng nhập</mat-label>
                    <input matInput>
                </mat-form-field>
                
                <div *ngIf="create" class="mb-auto">
                    <mat-form-field appearance="outline" class="w-100">
                        <mat-label>{{ password == '' ? "Nhập mật khẩu mới" : "Mật khẩu"}}</mat-label>
                        <input matInput [type]="hide ? 'password' : 'text'" [(ngModel)]="password" [ngModelOptions]="{standalone: true}">
                        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide" class="text-muted"><mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon></button>  
                    </mat-form-field>
                    
                    <mat-form-field appearance="outline" class="w-100" *ngIf="password != '' && new">
                        <mat-label>Nhập lại mật khẩu</mat-label>
                        <input matInput type="password">
                    </mat-form-field>
                    
                    <button mat-flat-button color="primary" (click)="create = false" class="float-right mt-1" *ngIf="password == ''">OK</button>
                    <button mat-flat-button (click)="create = false" class="float-right text-muted mt-1" *ngIf="password == ''">Hủy bỏ</button>
                    <button mat-raised-button (click)="new = !new" class="float-right text-muted mt-1" *ngIf="password != ''">{{ new ? "Hủy bỏ" : "Đổi mật khẩu"}}</button>
                </div>
                
                <div class="d-flex flex-wrap align-items-center justify-content-center alert alert-success p-3 mt-1 mb-auto" *ngIf="sendMail && password == ''">
                    <mat-icon class="text-success">done_outline</mat-icon>
                    Đã gửi email khởi tạo mật khẩu
                    
                    <button mat-stroked-button class="mt-3"><mat-icon>autorenew</mat-icon> Gửi lại</button>
                </div>
                
                <div class="text-center mt-1 mb-auto" *ngIf="password == '' && !create && !sendMail">
                    <button mat-stroked-button (click)="create = true">Tạo mật khẩu</button> <br>
                    <small class="text-black-50 d-inline-block py-3">hoặc</small> <br>
                    <button mat-stroked-button color="primary" (click)="sendMail = true">Gửi email yêu cầu tạo mật khẩu</button>
                </div>
                
            </div>
            
            <div class="bg-white rounded-xl px-4 pb-4" style="grid-column: span 2;">
                <div class="sticky-top bg-white d-flex align-items-center justify-content-between py-4" style="z-index: 10;">
                    <strong>Nhóm người dùng</strong>
                    <mat-checkbox (click)="selectAll.checked ? roleList.deselectAll() : roleList.selectAll()" #selectAll color="primary" [matTooltip]="selectAll.checked ? 'Bỏ chọn tất cả' : 'Chọn tất cả'" matTooltipPosition="left"></mat-checkbox>
                </div>
                <mat-selection-list #roleList class="w-100 role-list" (selectionChange)="change(roleList, selectAll)" color="primary">
                    <mat-list-option *ngFor="let role of roles">
                        {{role}}
                    </mat-list-option>
                </mat-selection-list>
                
            </div>
        </div>
    </div>
    <div class="aside-grid">
        <div class="bg-white rounded-xl overflow-hidden">
            <div class="avatar-container d-flex align-items-end border-bottom px-4 pt-4 mb-4">
                
                <div class="avatar-wrapper mb-n4" matBadge="TECHSOL" matBadgePosition="below" matBadgeColor="warn" [matBadgeHidden]="ctyInput == 'TECHSOL' ? false : true">
                    <div class="avatar-img bg-light rounded-pill">
                        <div class="d-flex align-items-center justify-content-center">
                            <i class="fas fa-user h1 m-0" style="opacity: .05;"></i>
                        </div>
                    </div>
                </div>
                
                <div class="col">
                    <span>{{chucVuInput ? chucVuInput : 'Chức vụ'}}</span>
                    <h6 class="font-weight-bold text-uppercase text-warn">{{name.value ? name.value : 'Tên Nhân Viên'}}</h6>
                </div>
                
                
            </div>
            
            <div class="stat-wrapper px-4 pt-4">
                <mat-form-field class="w-100">
                    <mat-label>Mã số NV</mat-label>
                    <input matInput [value]="msnv.value ? msnv.value : '-'" class="text-uppercase" disabled>
                </mat-form-field>
                <mat-form-field class="w-100">
                    <mat-label>Tổng số case đã thực hiện trong tháng {{ today | date: 'M/y'}}</mat-label>
                    <input matInput value="-" disabled>
                </mat-form-field>
            </div>
            
        </div>
        <div class="bg-white rounded-xl p-4">
            <strong>Lịch sử hoạt động</strong>
            <div class="activities-list"></div>
        </div>
    </div>
</form>